Skip to main content
GET
/
v1
/
waterfalls
/
{waterfall_identifier}
Get a specific waterfall
curl --request GET \
  --url https://api.example.com/v1/waterfalls/{waterfall_identifier} \
  --header 'x-apikey: <x-apikey>'
{
  "identifier": "email_getter",
  "name": "Email finder waterfall",
  "description": "Get email from first name, last name and company",
  "input_params": [
    {
      "name": "first_name",
      "type": "text",
      "required": true
    },
    {
      "name": "last_name",
      "type": "text",
      "required": true
    },
    {
      "name": "company",
      "type": "text",
      "required": true
    }
  ],
  "output_fields": [
    {
      "name": "email",
      "label": "Email",
      "type": "text"
    }
  ],
  "available_enrichments": [
    {
      "id": 833,
      "name": "General Enrichment",
      "description": "General data enrichment service",
      "price": "0.01",
      "params": [
        "first_name",
        "last_name",
        "company"
      ]
    }
  ],
  "is_email_verifying": true,
  "email_verifiers": [
    {
      "id": 10,
      "name": "Verify emails (Emailable)",
      "description": "Verify if emails are valid.",
      "price": "0.01"
    }
  ]
}

Headers

x-apikey
any
required

API Key for authentication

Path Parameters

waterfall_identifier
string
required

The identifier of the waterfall to retrieve

Response

Successful Response

identifier
string
name
string
description
string
input_params
Input Params · object[]
output_fields
Output Fields · object[]
available_enrichments
Available Enrichments · object[]
is_email_verifying
boolean
email_verifiers
Email Verifiers · object[]